<?php
/**
 * The template for displaying archive pages.
 *
 * @package click5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; 
}

get_header();
$container = get_theme_mod( 'click5_container_type' );
?>

<div class="wrapper d-flex align-items-end bg-image" style="background-image: url('<?php echo check_background(); ?>');" id="hero-sub">
    <div class="<?php echo esc_attr( $container ); ?>">
        <div class="row">
            <div class="col-lg-12 item text-center">
                <h1><?php the_archive_title( '<h1 class="page-title">', '</h1>' ); ?></h1>
            </div>
        </div>
    </div> 
</div> 

<div class="wrapper" id="archive-wrapper">
	<div class="<?php echo esc_attr( $container ); ?>" id="content" tabindex="-1">
		<div class="row">
		
			<main class="col-md-8" id="main">

				<?php if ( have_posts() ) : ?>

					<header class="page-header">
						<?php the_archive_description( '<div class="taxonomy-description">', '</div>' ); ?>
					</header>

					<?php while ( have_posts() ) : the_post(); ?>

						<?php get_template_part( 'loop-templates/content', get_post_format() ); ?>

					<?php endwhile; ?>

				<?php else : ?>

					<?php get_template_part( 'loop-templates/content', 'none' ); ?>

				<?php endif; ?>

				<?php click5_pagination(); ?>

			</main>			

			<?php get_sidebar(); ?>

		</div>
	</div>
</div>

<?php get_footer(); ?>