<?php
/**
 * The template for displaying the footer.
 *
 * @package click5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$container = get_theme_mod( 'click5_container_type' );
?>

	<div class="wrapper" id="footer">
		<div class="<?php echo esc_attr( $container ); ?>">
			<div class="row">
				<div class="copy col-lg-7 col-md-12 order-2 order-lg-1 d-flex flex-column text-center text-lg-left">
					<?php wp_nav_menu(
						array(
							'theme_location'  => 'footer',
							'menu_class'      => 'justify-content-center justify-content-lg-start',
							'walker'          => new click5_WP_Bootstrap_Navwalker(),
						)
					); ?>

					<div class="mt-3">
						<p>&copy; <?php echo date('Y'); ?> Company Name. All rights reserved.<br />
						<small><?php click5_site_info(); ?></small></p>
					</div>
				</div>
				
				<div class="social-media col-lg-5 col-md-12 order-1 order-lg-2 d-flex justify-content-center justify-content-lg-end align-items-center">
					<?php wp_nav_menu(
						array(
							'theme_location'  => 'social-media',
							'walker'          => new click5_WP_Bootstrap_Navwalker(),
						)
					); ?>
				</div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="formModalCenter" tabindex="-1" role="dialog" aria-labelledby="formModalCenterTitle" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered" role="document">
			<div class="modal-content">
				<div class="modal-body">
					<div class="form">
						<h2>Contact Us Today!</h2>
						<?php echo do_shortcode('[contact-form-7 id="5" title="Contact Form"]'); ?>
					</div>

					<div class="info">
						<div>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>

							<div class="phone d-flex flex-column align-items-start">
								<img src="<?php bloginfo('template_url'); ?>/img/icons/icon-phone.png" alt="icon" />

								<div>
									<h3>Call Us</h3>
									<a href="tel:<?php echo get_field("phone", 20); ?>"><?php echo get_field("phone", 20); ?></a>
								</div>
							</div>

							<div class="address d-flex flex-column align-items-start">
								<img src="<?php bloginfo('template_url'); ?>/img/icons/icon-location.png" alt="icon" />

								<div>
									<h3>Our Office</h3>
									<p><?php echo get_field("address", 20); ?></p>
									
									<a href="tel:<?php echo get_field("phone", 20); ?>">T: <?php echo get_field("phone", 20); ?></a>
									<a href="mailto:<?php echo get_field("email", 20); ?>">E: <?php echo get_field("email", 20); ?></a>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

</div>

<?php wp_footer(); ?>

</body>
</html>