<?php
/**
 * Custom hooks.
 *
 * @package click5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! function_exists( 'click5_site_info' ) ) {

  function click5_site_info() {
    do_action( 'click5_site_info' );
  }
}

if ( ! function_exists( 'click5_add_site_info' ) ) {
  add_action( 'click5_site_info', 'click5_add_site_info' );


  function click5_add_site_info() {
    $the_theme = wp_get_theme();
    
    $site_info = sprintf(
      '<a href="%1$s" target="_blank">%2$s</a>',
      esc_url( __( 'https://www.click5interactive.com/', 'click5' ) ),
      sprintf(
        esc_html__( '%s', 'click5' ), '<span>Website by</span> <span>click</span><span>5</span> <span>Interactive</span>'
      )
    );

    echo apply_filters( 'click5_site_info_content', $site_info );
  }
}
