<?php
/**
 * The main template file.
 *
 * @package click5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

get_header();
$container = get_theme_mod( 'click5_container_type' );
?>

<div class="wrapper d-flex align-items-end bg-image" style="background-image: url(<?php bloginfo('template_url'); ?>/img/hero.jpg)" id="hero-sub">
    <div class="<?php echo esc_attr( $container ); ?>">
        <div class="row">
            <div class="col-lg-12 item text-center">
                <h1>Blog</h1>
            </div>
        </div>
    </div> 
</div> 

<div class="wrapper" id="index-wrapper">
	<div class="<?php echo esc_attr( $container ); ?>" id="content" tabindex="-1">
		<div class="row">

			<?php if ( have_posts() ) : ?>

				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'loop-templates/content', get_post_format() );	?>

				<?php endwhile; ?>

			<?php endif; ?>

			<?php click5_pagination(); ?>
		
		</div>
	</div>
</div>

<?php get_footer(); ?>
