<?php
/**
 * Template Name: Reviews
 *
 * @package click5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();
$container = get_theme_mod( 'click5_container_type' );
?>

<div class="wrapper d-flex align-items-end bg-image" style="background-image: url('<?php echo check_background(); ?>');" id="hero-sub">
    <div class="<?php echo esc_attr( $container ); ?>">
        <div class="row">
            <div class="col-lg-12 item text-center">
                <h1><?php the_title(); ?></h1>
            </div>
        </div>
    </div> 
</div> 

<div class="wrapper" id="page-wrapper">
	<div class="<?php echo esc_attr( $container ); ?>" id="content" tabindex="-1">
		<div class="row">
			<main class="col-md-8" id="main">
				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'loop-templates/content', 'page' ); ?>

				<?php endwhile;  ?>

                <?php while(have_rows('reviews')) : the_row(); ?>

					<div class="review-item entry-content">
						<div class="review">
							<h4><strong><?php echo get_sub_field("customer"); ?></strong> <?php echo get_sub_field("customer_info"); ?></h4>
							<?php echo get_sub_field("review"); ?> 
						</div>						
					</div>

                <?php endwhile; ?>

				<?php
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				?>
			</main>	

            <?php get_sidebar(); ?>
		</div>
	</div>
</div>

<?php get_footer(); ?>